Creates or updates custom
curl --request PUT \
--url https://mycluster.domino.tech/api/v1/workflow_attributes/{attributes.project}/{attributes.domain}/{attributes.workflow} \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"matching_attributes": {
"task_resource_attributes": {
"defaults": {
"cpu": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>",
"ephemeral_storage": "<string>"
},
"limits": {
"cpu": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>",
"ephemeral_storage": "<string>"
}
},
"cluster_resource_attributes": {
"attributes": {}
},
"execution_queue_attributes": {
"tags": [
"<string>"
]
},
"execution_cluster_label": {
"value": "<string>"
},
"quality_of_service": {
"tier": "UNDEFINED",
"spec": {
"queueing_budget": "<string>"
}
},
"plugin_overrides": {
"overrides": [
{
"task_type": "<string>",
"plugin_id": [
"<string>"
],
"missing_plugin_behavior": "FAIL"
}
]
},
"workflow_execution_config": {
"max_parallelism": 123,
"security_context": {
"run_as": {
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"execution_identity": "<string>"
},
"secrets": [
{
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
],
"tokens": [
{
"name": "<string>",
"type": "CLIENT_CREDENTIALS",
"client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"idp_discovery_endpoint": "<string>",
"token_endpoint": "<string>"
}
]
},
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"labels": {
"values": {}
},
"annotations": {
"values": {}
},
"interruptible": true,
"overwrite_cache": true,
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"node_ids": [
"<string>"
],
"task_type": "<string>",
"execution_env": {
"name": "<string>",
"type": "<string>",
"extant": {},
"spec": {},
"version": "<string>"
}
}
]
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
}
},
"org": "<string>"
}
}
'{}AdminService
Creates or updates custom
Update the customized resource attributes associated with a project, domain and workflow combination
PUT
/
api
/
v1
/
workflow_attributes
/
{attributes.project}
/
{attributes.domain}
/
{attributes.workflow}
Creates or updates custom
curl --request PUT \
--url https://mycluster.domino.tech/api/v1/workflow_attributes/{attributes.project}/{attributes.domain}/{attributes.workflow} \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"matching_attributes": {
"task_resource_attributes": {
"defaults": {
"cpu": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>",
"ephemeral_storage": "<string>"
},
"limits": {
"cpu": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>",
"ephemeral_storage": "<string>"
}
},
"cluster_resource_attributes": {
"attributes": {}
},
"execution_queue_attributes": {
"tags": [
"<string>"
]
},
"execution_cluster_label": {
"value": "<string>"
},
"quality_of_service": {
"tier": "UNDEFINED",
"spec": {
"queueing_budget": "<string>"
}
},
"plugin_overrides": {
"overrides": [
{
"task_type": "<string>",
"plugin_id": [
"<string>"
],
"missing_plugin_behavior": "FAIL"
}
]
},
"workflow_execution_config": {
"max_parallelism": 123,
"security_context": {
"run_as": {
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"execution_identity": "<string>"
},
"secrets": [
{
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
],
"tokens": [
{
"name": "<string>",
"type": "CLIENT_CREDENTIALS",
"client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"idp_discovery_endpoint": "<string>",
"token_endpoint": "<string>"
}
]
},
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"labels": {
"values": {}
},
"annotations": {
"values": {}
},
"interruptible": true,
"overwrite_cache": true,
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"node_ids": [
"<string>"
],
"task_type": "<string>",
"execution_env": {
"name": "<string>",
"type": "<string>",
"extant": {},
"spec": {},
"version": "<string>"
}
}
]
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
}
},
"org": "<string>"
}
}
'{}Path Parameters
Unique project id for which this set of attributes will be applied.
Unique domain id for which this set of attributes will be applied.
Workflow name for which this set of attributes will be applied.
Body
application/json
attributes
Defines a set of custom matching attributes which defines resource defaults for a project, domain and workflow.
For more info on matchable attributes, see :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration` · object
Show child attributes
Show child attributes
Response
A successful response.
Purposefully empty, may be populated in the future.
Was this page helpful?
⌘I